SDL_getenv(3)

NAME
SDL_getenv - Get the value of a variable in the environment.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

const char * SDL_getenv(const char *name);

DESCRIPTION
This function uses SDL's cached copy of the environment and is thread-safe.

FUNCTION PARAMETERS

name
    the name of the variable to get.

RETURN VALUE
Returns a pointer to the value of the variable or NULL if it can't be found.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.